ome-xml 5.2.3

Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
ome::xml::model::enums::ContrastMethod Class Reference

ContrastMethod enumeration. More...

`#include <ome/xml/model/enums/ContrastMethod.h>`

Collaboration diagram for ome::xml::model::enums::ContrastMethod:
[legend]

## Public Types
enum | enum_value { BRIGHTFIELD, PHASE, DIC, HOFFMANMODULATION, OBLIQUEILLUMINATION, POLARIZEDLIGHT, DARKFIELD, FLUORESCENCE, OTHER }
| Enumeration values. More...
typedef std::map< std::string, ContrastMethod::enum_value > | string_map_type
| String map type.
typedef std::map< ContrastMethod::enum_value, std::string > | value_map_type
| Value map type.

## Public Member Functions
| ContrastMethod (enum_value value)
| Construct a ContrastMethod enumeration by an enumeration value. More...
| ContrastMethod (const std::string &name, bool strict=true)
| Construct a ContrastMethod enumeration by an enumeration name. More...
| ContrastMethod (const ContrastMethod &original)
| Copy constructor. More...
ContrastMethod & | operator= (const ContrastMethod &rhs)
| Assignment operator.
| operator enum_value () const
| Cast the enumeration to its value. More...
| operator const std::string & () const
| Cast the enumeration to its name. More...

## Static Public Member Functions
static const string_map_type & | strings ()
| Get a map of valid string names and enum values. More...
static const value_map_type & | values ()
| Get a map of valid enum values and string names. More...

## Static Private Member Functions
static const string_map_type & | lowercase_strings ()
| Get a map of valid lowercased string names and enum values. More...

## Private Attributes
enum_value | value
| Enumeration value.
const std::string * | name
| Enumeration name.

## Detailed Description

ContrastMethod enumeration.

## Member Enumeration Documentation

## § enum_value

enum ome::xml::model::enums::ContrastMethod::enum_value

Enumeration values.

Enumerator
BRIGHTFIELD | Brightfield.
PHASE | Phase.
DIC | DIC.
HOFFMANMODULATION | HoffmanModulation.
OBLIQUEILLUMINATION | ObliqueIllumination.
POLARIZEDLIGHT | PolarizedLight.
DARKFIELD | Darkfield.
FLUORESCENCE | Fluorescence.
OTHER | Other.

## Constructor & Destructor Documentation

## § ContrastMethod() [1/3]

ome::xml::model::enums::ContrastMethod::ContrastMethod | ( | enum_value | value | ) |

Construct a ContrastMethod enumeration by an enumeration value.

Parameters

  value | the value of the enumeration.

References name, and values().

Referenced by ContrastMethod(), and ome::xml::model::enums::operator>>().

Here is the caller graph for this function:

## § ContrastMethod() [2/3]

ome::xml::model::enums::ContrastMethod::ContrastMethod | ( | const std::string & | name,
|  | bool | strict = `true`
| ) |  |

Construct a ContrastMethod enumeration by an enumeration name.

Exact matching of the name will require the name to match one of the valid enumeration names. Inexact matching will strip leading and trailing whitespace and perform a case-insensitive match. Exact matching is recommended for use in program code which does not process user input; inexact matching is recommended when processing potentially malformed user input.

Parameters

  name | the name of the enumeration.
  strict | true to require an exact name, false to allow an inexact match.

References ContrastMethod(), ome::common::createLogger(), lowercase_strings(), name, strings(), trim(), value, and values().

## § ContrastMethod() [3/3]

ome::xml::model::enums::ContrastMethod::ContrastMethod | ( | const ContrastMethod & | original | ) |

Copy constructor.

Parameters

  original | the instance to copy.

## Member Function Documentation

## § lowercase_strings()

const ContrastMethod::string_map_type & ome::xml::model::enums::ContrastMethod::lowercase_strings | ( |  | ) |
| staticprivate

Get a map of valid lowercased string names and enum values.

Returns
  a map of lowercased string names to enum values.

References BRIGHTFIELD, DARKFIELD, DIC, FLUORESCENCE, HOFFMANMODULATION, OBLIQUEILLUMINATION, OTHER, PHASE, and POLARIZEDLIGHT.

Referenced by ContrastMethod().

Here is the caller graph for this function:

## § operator const std::string &()

ome::xml::model::enums::ContrastMethod::operator const std::string & | ( |  | ) | const
| inline

Cast the enumeration to its name.

Returns
  the enumeration value.

References name.

## § operator enum_value()

ome::xml::model::enums::ContrastMethod::operator enum_value | ( |  | ) | const
| inline

Cast the enumeration to its value.

Returns
  the enumeration value.

References value.

## § strings()

const ContrastMethod::string_map_type & ome::xml::model::enums::ContrastMethod::strings | ( |  | ) |
| static

Get a map of valid string names and enum values.

Returns
  a map of string names to enum values.

References BRIGHTFIELD, DARKFIELD, DIC, FLUORESCENCE, HOFFMANMODULATION, OBLIQUEILLUMINATION, OTHER, PHASE, and POLARIZEDLIGHT.

Referenced by ContrastMethod().

Here is the caller graph for this function:

## § values()

const ContrastMethod::value_map_type & ome::xml::model::enums::ContrastMethod::values | ( |  | ) |
| static

Get a map of valid enum values and string names.

Returns
  a map of enum values to string names.

References BRIGHTFIELD, DARKFIELD, DIC, FLUORESCENCE, HOFFMANMODULATION, OBLIQUEILLUMINATION, OTHER, PHASE, and POLARIZEDLIGHT.

Referenced by ContrastMethod().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/enums/ContrastMethod.h
- ome/xml/model/enums/ContrastMethod.cpp